# $Revision: 1.28.2.1 $, $Date: 2008-05-18 15:42:40 $
#
# Conditional build:
%bcond_without	dist_kernel	# without distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_without	userspace	# don't build userspace utilities
%bcond_with	verbose		# verbose build (V=1)

%ifarch sparc
%undefine	with_smp
%endif

%if %{without kernel}
%undefine	with_dist_kernel
%endif
%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif
%if %{without userspace}
# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0
%endif

%define		rel	64
%define		pname	submount
Summary:	Automatically mounts and unmounts removable media devices
Summary(pl.UTF-8):	Automatyczne montowanie i odmontowywanie wymiennych nośników danych
Name:		%{pname}%{_alt_kernel}
Version:	0.9
Release:	%{rel}
License:	GPL v2
Group:		Base/Kernel
Source0:	http://dl.sourceforge.net/submount/%{pname}-%{version}.tar.gz
# Source0-md5:	f6abac328dbfb265eff18561065575c6
Patch0:		%{pname}-subfs.patch
Patch1:		%{pname}-namespace.patch
URL:		http://submount.sourceforge.net/
%if %{with kernel}
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.7}
BuildRequires:	rpmbuild(macros) >= 1.379
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Submount is a system for automatically mounting and unmounting
removable media drives like cdroms and floppy disk drives. It works
with the Linux 2.6 kernel series. Once installed, it allows removable
media drives to be accessed as if they were permanently mounted. In
the opposite to supermount doesn't require patching the kernel.

%description -l pl.UTF-8
Submount jest systemem automatycznego montowania i odmontowywania
wymiennych nośników danych, takich jak płyty CD-ROM czy dyskietki.
Działa z jądrami serii 2.6. Raz zainstalowany, umożliwia dostęp do
wymiennych nośników danych tak, jakby były one trwale montowane. W
przeciwieństwie do supermount nie wymaga łatania jądra.

%package -n kernel%{_alt_kernel}-fs-subfs
Summary:	Submount - kernel module
Summary(pl.UTF-8):	Submount - moduł jądra
Release:	%{rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}(vermagic) = %{_kernel_ver}}
Requires(post,postun):	/sbin/depmod

%description -n kernel%{_alt_kernel}-fs-subfs
This is a driver for Submount for Linux.

This package contains Linux module.

%description -n kernel%{_alt_kernel}-fs-subfs -l pl.UTF-8
Sterownik dla Linuksa do Submount.

Ten pakiet zawiera moduł jądra Linuksa.

%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1
%patch1 -p1

%build
%if %{with kernel}
%build_kernel_modules -C subfs-%{version} -m subfs
%endif

%if %{with userspace}
cd submountd-%{version}
%configure
%{__make} \
	CFLAGS="%{rpmcflags}"
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with kernel}
%install_kernel_modules -m subfs-%{version}/subfs -d kernel/fs
%endif

%if %{with userspace}
install -d $RPM_BUILD_ROOT{/sbin,%{_mandir}/man8}
install submountd-%{version}/net-submountd $RPM_BUILD_ROOT/sbin
install submountd-%{version}/submountd $RPM_BUILD_ROOT/sbin
install submountd-%{version}/submount.8 $RPM_BUILD_ROOT%{_mandir}/man8
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{_alt_kernel}-fs-subfs
%depmod %{_kernel_ver}

%postun -n kernel%{_alt_kernel}-fs-subfs
%depmod %{_kernel_ver}

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc README submountd-%{version}/{AUTHORS,ChangeLog}
%attr(755,root,root) /sbin/*
%{_mandir}/man8/*
%endif

%if %{with kernel}
%files -n kernel%{_alt_kernel}-fs-subfs
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/kernel/fs/subfs.ko*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: submount.spec,v $
Revision 1.28.2.1  2008-05-18 15:42:40  glen
- for ac

Revision 1.28  2008-05-18 15:35:23  glen
- drop bcond, alt kernel fixes

Revision 1.27  2007-11-04 20:29:33  glen
- package to existing kernel/fs dir

Revision 1.26  2007/04/11 18:18:27  zbyniu
- bconds up, smp removed; package smp removed
- namespace.patch; macros for build kernel module

Revision 1.25  2007/03/15 23:01:58  glen
- up bcond

Revision 1.24  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.22  2007/01/23 10:26:01  hawk
- release 11

Revision 1.21  2006/12/08 13:05:51  hawk
- workaround for builder automation to allow building against
  kernel-grsecurity (via bcond)
- release 10

Revision 1.20  2006/10/20 00:33:49  charles
- updated -subfs.patch (for kernel >= 2.6.18)
- rel. ++

Revision 1.19  2006/09/06 13:48:33  sparky
- mass atack: -j1 for make scripts

Revision 1.18  2006/07/02 15:37:17  hawk
- release 8

Revision 1.17  2006/07/02 09:45:38  charles
- alternative kernel support

Revision 1.16  2006/06/30 19:53:13  hawk
- release 7

Revision 1.15  2006/06/18 04:29:10  charles
- added -subfs.patch (kernel >= 2.6.16 compatibility)

Revision 1.14  2006/04/12 12:15:40  glen
- add kernel epoch, adapterized

Revision 1.13  2006/03/17 22:03:47  glen
- rel 6

Revision 1.12  2006/02/11 13:55:28  arekm
- rel 5

Revision 1.11  2006/01/26 10:03:00  arekm
- rel 4

Revision 1.10  2006/01/12 20:35:03  arekm
- rel 3; fix ppc/sparc

Revision 1.9  2005/11/13 02:20:02  sparky
- if there is no asm-powerpc link asm-ppc !
- spaces->tabs

Revision 1.8  2005/11/12 11:06:43  arekm
- rel 2

Revision 1.7  2005/09/22 18:22:31  pluto
- docs added, typo fixed, adapterized.

Revision 1.6  2005/09/22 18:16:24  pluto
- s/kernel-misc-submount/kernel-fs-subfs/.
- cosmetics/desc.

Revision 1.5  2005/09/15 18:25:05  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.4  2005/08/17 23:08:45  qboosh
- pl cosmetics, kernel/userspace bconds

Revision 1.3  2005/08/16 21:55:15  charles
- rpmbuild(macros) >= 1.217 (fixed requires_releq_kernel_{up,smp} macro)
- more and fixed desc

Revision 1.2  2005/08/16 11:37:49  spider
- more pl
- this rel macro is really needed ?

Revision 1.1  2005/08/15 02:28:27  charles
- initial PLD release
